#
# Be sure to run `pod lib lint EWENSClass.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'EWENSClass'
  s.version          = '0.1.3'
  s.summary          = '自己封装的一些 Foundation 框架的轮子.'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'http://gogs.yxbing.com:8443/PrivateCocoapods/EWENSClass'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { '薛少杰' => 'xueshaojie@ewell.cc' }
  s.source           = { :git => 'http://gogs.yxbing.com:8443/PrivateCocoapods/EWENSClass.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '8.0'

  #s.source_files = 'EWENSClass/Classes/**/*'

  s.subspec 'Dictionary' do |dictionary|
    dictionary.source_files = 'EWENSClass/Classes/OrderDictionary/**/*'
    dictionary.public_header_files = 'EWENSClass/Classes/OrderDictionary/**/*.h'
  end
  
  s.subspec 'JSONKit' do |jsonKit|
    jsonKit.requires_arc = false
    jsonKit.source_files = 'EWENSClass/Classes/JSONKit/**/*'
    jsonKit.dependency 'EWENSClass/Dictionary'
    jsonKit.public_header_files = 'EWENSClass/Classes/JSONKit/**/*.h'
  end

  s.subspec 'Category' do |category|
    category.source_files = 'EWENSClass/Classes/Category/**/*'
    category.dependency 'EWENSClass/JSONKit'
    category.public_header_files = 'EWENSClass/Classes/Category/**/*.h'
  end

  s.subspec 'CGContextObject' do |cgContextObject|
    cgContextObject.source_files = 'EWENSClass/Classes/CGContextObject/**/*'
    cgContextObject.public_header_files = 'EWENSClass/Classes/CGContextObject/**/*.h'
  end

  s.subspec 'Header' do |header|
    header.source_files = 'EWENSClass/Classes/Header/**/*'
    header.public_header_files = 'EWENSClass/Classes/Header/**/*.h'
  end

  s.subspec 'SystemService' do |systemService|
    systemService.source_files = 'EWENSClass/Classes/SystemService/**/*'
    systemService.public_header_files = 'EWENSClass/Classes/SystemService/**/*.h'
  end
  
  # s.resource_bundles = {
  #   'EWENSClass' => ['EWENSClass/Assets/*.png']
  # }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  s.frameworks = 'UIKit','Foundation','CoreGraphics'
  # s.dependency 'AFNetworking', '~> 2.3'
end
